Unverified Commit cb34a018 authored by Kian Paimani's avatar Kian Paimani Committed by GitHub
Browse files

Companion for `substrate/pull/8889` (#3096)

* Update lock file

* revert

* fix properly

* update Substrate

Co-authored-by: parity-processbot <>
parent 2ee0250e
Pipeline #139336 passed with stages
in 31 minutes and 3 seconds
...@@ -214,26 +214,29 @@ dependencies = [ ...@@ -214,26 +214,29 @@ dependencies = [
[[package]] [[package]]
name = "async-executor" name = "async-executor"
version = "1.3.0" version = "1.4.1"
source = "registry+https://github.com/rust-lang/crates.io-index" source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "d373d78ded7d0b3fa8039375718cde0aace493f2e34fb60f51cbf567562ca801" checksum = "871f9bb5e0a22eeb7e8cf16641feb87c9dc67032ccf8ff49e772eb9941d3a965"
dependencies = [ dependencies = [
"async-task", "async-task",
"concurrent-queue", "concurrent-queue",
"fastrand", "fastrand",
"futures-lite", "futures-lite",
"once_cell", "once_cell",
"vec-arena", "slab",
] ]
[[package]] [[package]]
name = "async-global-executor" name = "async-global-executor"
version = "1.4.2" version = "2.0.2"
source = "registry+https://github.com/rust-lang/crates.io-index" source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "124ac8c265e407641c3362b8f4d39cdb4e243885b71eef087be27199790f5a3a" checksum = "9586ec52317f36de58453159d48351bc244bc24ced3effc1fce22f3d48664af6"
dependencies = [ dependencies = [
"async-channel",
"async-executor", "async-executor",
"async-io", "async-io",
"async-mutex",
"blocking",
"futures-lite", "futures-lite",
"num_cpus", "num_cpus",
"once_cell", "once_cell",
...@@ -259,6 +262,15 @@ dependencies = [ ...@@ -259,6 +262,15 @@ dependencies = [
"winapi 0.3.9", "winapi 0.3.9",
] ]
[[package]]
name = "async-lock"
version = "2.4.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "e6a8ea61bf9947a1007c5cada31e647dbc77b103c679858150003ba697ea798b"
dependencies = [
"event-listener",
]
[[package]] [[package]]
name = "async-mutex" name = "async-mutex"
version = "1.4.0" version = "1.4.0"
...@@ -286,17 +298,16 @@ dependencies = [ ...@@ -286,17 +298,16 @@ dependencies = [
[[package]] [[package]]
name = "async-std" name = "async-std"
version = "1.8.0" version = "1.9.0"
source = "registry+https://github.com/rust-lang/crates.io-index" source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "8f9f84f1280a2b436a2c77c2582602732b6c2f4321d5494d6e799e6c367859a8" checksum = "d9f06685bad74e0570f5213741bea82158279a4103d988e57bfada11ad230341"
dependencies = [ dependencies = [
"async-attributes", "async-attributes",
"async-channel", "async-channel",
"async-global-executor", "async-global-executor",
"async-io", "async-io",
"async-mutex", "async-lock",
"async-process", "async-process",
"blocking",
"crossbeam-utils 0.8.1", "crossbeam-utils 0.8.1",
"futures-channel", "futures-channel",
"futures-core", "futures-core",
...@@ -334,6 +345,19 @@ version = "4.0.3" ...@@ -334,6 +345,19 @@ version = "4.0.3"
source = "registry+https://github.com/rust-lang/crates.io-index" source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "e91831deabf0d6d7ec49552e489aed63b7456a7a3c46cff62adad428110b0af0" checksum = "e91831deabf0d6d7ec49552e489aed63b7456a7a3c46cff62adad428110b0af0"
[[package]]
name = "async-tls"
version = "0.11.0"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "2f23d769dbf1838d5df5156e7b1ad404f4c463d1ac2c6aeb6cd943630f8a8400"
dependencies = [
"futures-core",
"futures-io",
"rustls 0.19.0",
"webpki 0.21.3",
"webpki-roots",
]
[[package]] [[package]]
name = "async-trait" name = "async-trait"
version = "0.1.48" version = "0.1.48"
...@@ -1835,7 +1859,7 @@ checksum = "3f9eec918d3f24069decb9af1554cad7c880e2da24a9afd88aca000531ab82c1" ...@@ -1835,7 +1859,7 @@ checksum = "3f9eec918d3f24069decb9af1554cad7c880e2da24a9afd88aca000531ab82c1"
[[package]] [[package]]
name = "fork-tree" name = "fork-tree"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"parity-scale-codec", "parity-scale-codec",
] ]
...@@ -1853,7 +1877,7 @@ dependencies = [ ...@@ -1853,7 +1877,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-benchmarking" name = "frame-benchmarking"
version = "3.1.0" version = "3.1.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"frame-system", "frame-system",
...@@ -1872,7 +1896,7 @@ dependencies = [ ...@@ -1872,7 +1896,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-benchmarking-cli" name = "frame-benchmarking-cli"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"Inflector", "Inflector",
"chrono", "chrono",
...@@ -1895,7 +1919,7 @@ dependencies = [ ...@@ -1895,7 +1919,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-election-provider-support" name = "frame-election-provider-support"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"frame-system", "frame-system",
...@@ -1908,7 +1932,7 @@ dependencies = [ ...@@ -1908,7 +1932,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-executive" name = "frame-executive"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"frame-system", "frame-system",
...@@ -1923,7 +1947,7 @@ dependencies = [ ...@@ -1923,7 +1947,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-metadata" name = "frame-metadata"
version = "13.0.0" version = "13.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"parity-scale-codec", "parity-scale-codec",
"serde", "serde",
...@@ -1934,7 +1958,7 @@ dependencies = [ ...@@ -1934,7 +1958,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support" name = "frame-support"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"bitflags", "bitflags",
"frame-metadata", "frame-metadata",
...@@ -1960,7 +1984,7 @@ dependencies = [ ...@@ -1960,7 +1984,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support-procedural" name = "frame-support-procedural"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"Inflector", "Inflector",
"frame-support-procedural-tools", "frame-support-procedural-tools",
...@@ -1972,7 +1996,7 @@ dependencies = [ ...@@ -1972,7 +1996,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support-procedural-tools" name = "frame-support-procedural-tools"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support-procedural-tools-derive", "frame-support-procedural-tools-derive",
"proc-macro-crate 1.0.0", "proc-macro-crate 1.0.0",
...@@ -1984,7 +2008,7 @@ dependencies = [ ...@@ -1984,7 +2008,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support-procedural-tools-derive" name = "frame-support-procedural-tools-derive"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"proc-macro2", "proc-macro2",
"quote", "quote",
...@@ -1994,7 +2018,7 @@ dependencies = [ ...@@ -1994,7 +2018,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-support-test" name = "frame-support-test"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-metadata", "frame-metadata",
"frame-support", "frame-support",
...@@ -2014,7 +2038,7 @@ dependencies = [ ...@@ -2014,7 +2038,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-system" name = "frame-system"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"impl-trait-for-tuples", "impl-trait-for-tuples",
...@@ -2031,7 +2055,7 @@ dependencies = [ ...@@ -2031,7 +2055,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-system-benchmarking" name = "frame-system-benchmarking"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -2045,7 +2069,7 @@ dependencies = [ ...@@ -2045,7 +2069,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-system-rpc-runtime-api" name = "frame-system-rpc-runtime-api"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"parity-scale-codec", "parity-scale-codec",
"sp-api", "sp-api",
...@@ -2054,7 +2078,7 @@ dependencies = [ ...@@ -2054,7 +2078,7 @@ dependencies = [
[[package]] [[package]]
name = "frame-try-runtime" name = "frame-try-runtime"
version = "0.9.0" version = "0.9.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"parity-scale-codec", "parity-scale-codec",
...@@ -2241,7 +2265,7 @@ checksum = "3a1387e07917c711fb4ee4f48ea0adb04a3c9739e53ef85bf43ae1edc2937a8b" ...@@ -2241,7 +2265,7 @@ checksum = "3a1387e07917c711fb4ee4f48ea0adb04a3c9739e53ef85bf43ae1edc2937a8b"
dependencies = [ dependencies = [
"futures-io", "futures-io",
"rustls 0.19.0", "rustls 0.19.0",
"webpki", "webpki 0.21.3",
] ]
[[package]] [[package]]
...@@ -2710,7 +2734,7 @@ dependencies = [ ...@@ -2710,7 +2734,7 @@ dependencies = [
"rustls-native-certs", "rustls-native-certs",
"tokio 0.2.21", "tokio 0.2.21",
"tokio-rustls", "tokio-rustls",
"webpki", "webpki 0.21.3",
] ]
[[package]] [[package]]
...@@ -3078,25 +3102,6 @@ dependencies = [ ...@@ -3078,25 +3102,6 @@ dependencies = [
"slab", "slab",
] ]
[[package]]
name = "jsonrpsee-http-client"
version = "0.2.0-alpha.6"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "2737440f37efa10e5ef7beeec43d059d29dc92640978be21fcdcef481a2edb0d"
dependencies = [
"async-trait",
"fnv",
"hyper 0.13.9",
"hyper-rustls",
"jsonrpsee-types",
"jsonrpsee-utils",
"log",
"serde",
"serde_json",
"thiserror",
"url 2.2.0",
]
[[package]] [[package]]
name = "jsonrpsee-proc-macros" name = "jsonrpsee-proc-macros"
version = "0.2.0-alpha.6" version = "0.2.0-alpha.6"
...@@ -3127,14 +3132,25 @@ dependencies = [ ...@@ -3127,14 +3132,25 @@ dependencies = [
] ]
[[package]] [[package]]
name = "jsonrpsee-utils" name = "jsonrpsee-ws-client"
version = "0.2.0-alpha.6" version = "0.2.0-alpha.6"
source = "registry+https://github.com/rust-lang/crates.io-index" source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "d63cf4d423614e71fd144a8691208539d2b23d8373e069e2fbe023c5eba5e922" checksum = "d6fdb4390bd25358c62e8b778652a564a1723ba07dca0feb3da439c2253fe59f"
dependencies = [ dependencies = [
"futures-util", "async-std",
"hyper 0.13.9", "async-tls",
"async-trait",
"fnv",
"futures 0.3.14",
"jsonrpsee-types", "jsonrpsee-types",
"log",
"pin-project 1.0.4",
"serde",
"serde_json",
"soketto",
"thiserror",
"url 2.2.0",
"webpki 0.22.0",
] ]
[[package]] [[package]]
...@@ -4450,7 +4466,7 @@ checksum = "13370dae44474229701bb69b90b4f4dca6404cb0357a2d50d635f1171dc3aa7b" ...@@ -4450,7 +4466,7 @@ checksum = "13370dae44474229701bb69b90b4f4dca6404cb0357a2d50d635f1171dc3aa7b"
[[package]] [[package]]
name = "pallet-authority-discovery" name = "pallet-authority-discovery"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"frame-system", "frame-system",
...@@ -4465,7 +4481,7 @@ dependencies = [ ...@@ -4465,7 +4481,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-authorship" name = "pallet-authorship"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"frame-system", "frame-system",
...@@ -4479,7 +4495,7 @@ dependencies = [ ...@@ -4479,7 +4495,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-babe" name = "pallet-babe"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4502,7 +4518,7 @@ dependencies = [ ...@@ -4502,7 +4518,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-balances" name = "pallet-balances"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4531,7 +4547,7 @@ dependencies = [ ...@@ -4531,7 +4547,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-bounties" name = "pallet-bounties"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4567,7 +4583,7 @@ dependencies = [ ...@@ -4567,7 +4583,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-collective" name = "pallet-collective"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4583,7 +4599,7 @@ dependencies = [ ...@@ -4583,7 +4599,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-democracy" name = "pallet-democracy"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4598,7 +4614,7 @@ dependencies = [ ...@@ -4598,7 +4614,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-election-provider-multi-phase" name = "pallet-election-provider-multi-phase"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-election-provider-support", "frame-election-provider-support",
...@@ -4619,7 +4635,7 @@ dependencies = [ ...@@ -4619,7 +4635,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-elections-phragmen" name = "pallet-elections-phragmen"
version = "4.0.0" version = "4.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4636,7 +4652,7 @@ dependencies = [ ...@@ -4636,7 +4652,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-gilt" name = "pallet-gilt"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4650,7 +4666,7 @@ dependencies = [ ...@@ -4650,7 +4666,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-grandpa" name = "pallet-grandpa"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4671,7 +4687,7 @@ dependencies = [ ...@@ -4671,7 +4687,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-identity" name = "pallet-identity"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"enumflags2", "enumflags2",
"frame-benchmarking", "frame-benchmarking",
...@@ -4686,7 +4702,7 @@ dependencies = [ ...@@ -4686,7 +4702,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-im-online" name = "pallet-im-online"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4705,7 +4721,7 @@ dependencies = [ ...@@ -4705,7 +4721,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-indices" name = "pallet-indices"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4721,7 +4737,7 @@ dependencies = [ ...@@ -4721,7 +4737,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-membership" name = "pallet-membership"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4736,7 +4752,7 @@ dependencies = [ ...@@ -4736,7 +4752,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-mmr" name = "pallet-mmr"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"ckb-merkle-mountain-range", "ckb-merkle-mountain-range",
"frame-benchmarking", "frame-benchmarking",
...@@ -4753,7 +4769,7 @@ dependencies = [ ...@@ -4753,7 +4769,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-mmr-primitives" name = "pallet-mmr-primitives"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support", "frame-support",
"frame-system", "frame-system",
...@@ -4769,7 +4785,7 @@ dependencies = [ ...@@ -4769,7 +4785,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-mmr-rpc" name = "pallet-mmr-rpc"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"jsonrpc-core", "jsonrpc-core",
"jsonrpc-core-client", "jsonrpc-core-client",
...@@ -4787,7 +4803,7 @@ dependencies = [ ...@@ -4787,7 +4803,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-multisig" name = "pallet-multisig"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-benchmarking", "frame-benchmarking",
"frame-support", "frame-support",
...@@ -4802,7 +4818,7 @@ dependencies = [ ...@@ -4802,7 +4818,7 @@ dependencies = [
[[package]] [[package]]
name = "pallet-nicks" name = "pallet-nicks"
version = "3.0.0" version = "3.0.0"
source = "git+https://github.com/paritytech/substrate#85fa0ab80c3ceccf4bb98380d7833578aaf8815e" source = "git+https://github.com/paritytech/substrate#fb90219bffdead9278b6a7880bebf676e5a071af"
dependencies = [ dependencies = [
"frame-support",